import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { IonRange } from '@ionic/angular';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
declare type ColorType = any;
export declare class MonitoringRangeContentDirective {
    tpl: TemplateRef<any>;
    constructor(tpl: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<MonitoringRangeContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonitoringRangeContentDirective, "[monitoringRangeContent]", never, {}, {}, never>;
}
export declare class MonitoringRangeComponent implements OnDestroy {
    private changeDetectorRef;
    focusChange: BehaviorSubject<boolean>;
    dualKnobs: boolean;
    private _valueSub?;
    currentValue: number | undefined;
    private previousValue;
    rangeTemplate?: TemplateRef<any>;
    get rangeTemplateContext(): object;
    range?: IonRange;
    onValueChanged: EventEmitter<number>;
    set inputStream(stream: Observable<number> | undefined);
    min: number;
    max: number;
    step: number;
    debounce: number;
    pin: boolean;
    disabled: boolean;
    snaps: boolean;
    ticks: boolean;
    color?: ColorType;
    el: ElementRef;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnDestroy(): void;
    _onValueChanged(event: CustomEvent<{
        value: number;
    }>): void;
    onSliderEdit(): void;
    onSliderReleased(): void;
    onFocus(): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonitoringRangeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonitoringRangeComponent, "monitoring-range", never, { "inputStream": "inputStream"; "min": "min"; "max": "max"; "step": "step"; "debounce": "debounce"; "pin": "pin"; "disabled": "disabled"; "snaps": "snaps"; "ticks": "ticks"; "color": "color"; }, { "onValueChanged": "onValueChanged"; }, ["rangeTemplate"], never>;
}
export {};
